autogenerate: on

log.dir:      log


plugin.roboplant:
  module.{project}:
    project: {rpp}


plugin.task:
  module.task_main:
    period:   {cycletime}
    modules:
       - {project}
       - tagsaver


plugin.tagsaver:
  module.tagsaver:
    enable:       on


plugin.tcpserver:
  module.server:
    ports:
      - portnum:  1
        porttcp:  {port.rpsvr}
        enable:   {use_rpsvr}

      - portnum:  2
        porttcp:  {port.console}
        aliveTimeout_s: 99999999


plugin.rpsvrtcp:
  enable: {use_rpsvr}
  module.rpsvr:
    portnum:     1
    hiddentags:  on


plugin.jrbustcp:
  enable: {use_jrsvr}
  module.jrsvr:
    type:        server
    port:        {port.jrsvr}
    hidden:      on



plugin.tcpconsole:
  module.console:
    portnum:  2
    welcome:  Welcome to Roboplant Emulator {project}!

